/*
   Filename: Plan.h

   Description: A Plan Object representing each Plan that needs to
                be added/edited/deleted from PlanBrowser.



   Last Updated: 04/14/04
   Written by: Erik Waibel, Devin Smith, James Wong, Phan Su.

*/

#include "Plan.h"

//-------------------------------------------------------------------------------------
Plan::Plan() // default constructor
{
	// do nothing.

}
//----------------------------------------------------------------------
Plan::Plan(string theName, string theDate, vector<Meal> m)
{
	Name = theName;
	Date = theDate;
	thisMeal = m;	    
} // constructor
//----------------------------------------------------------------------
void Plan::addMeal(Meal newMeal)
{
	thisMeal.push_back(newMeal);
}  // method addMeal
//----------------------------------------------------------------------
string Plan::getName()
{
	return Name;
}
//----------------------------------------------------------------------
string Plan::getDate()
{
	return Date;
}
//----------------------------------------------------------------------
vector<Meal> Plan::getMealList()
{
	return thisMeal;
}
//----------------------------------------------------------------------
